%define version 0.2.0
%define rel 2
%define release %mkrel %rel

%define realname smartcardpp

%define major 0
%define libname %mklibname %{realname} %major
%define libnamedev %mklibname %{realname} -d

Name:		smartcardpp
Version:	%{version}
Release:	%{release}
Summary:	A library for accessing smart cards

Group:		System/Libraries
License:	BSD
URL:		http://code.google.com/p/esteid
Source:		http://esteid.googlecode.com/files/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	cmake
BuildRequires:	pcsc-lite-devel

%description
smartcardpp is a set of C++ classes to manage smart card
communications and implement basic command primitives.

%package	-n %{libname}
Summary:	A library for accessing smart cards
Group:		Development/Other
Requires:	%{_lib}pcsclite1

%description	-n %{libname}
smartcardpp is a set of C++ classes to manage smart card
communications and implement basic command primitives.

%package	-n %{libnamedev}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	pcsc-lite-devel
Provides:	%{name}-devel = %{version}-%{release}

%description 	-n %{libnamedev}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ../..
popd

%make -C %{_target_platform}/build


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}/build


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_bindir}/card-test

%files -n %{libname}
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_libdir}/*.so.*

%files -n %{libnamedev}
%defattr(-,root,root,-)
%{_includedir}/smartcardpp/
%{_libdir}/*.so




%changelog
* Wed Oct 13 2010 Sander Lepik <sander85@mandriva.org> 0.2.0-2mdv2011.0
+ Revision: 585505
- add missing provides
- fix make

* Sun Oct 10 2010 Sander Lepik <sander85@mandriva.org> 0.2.0-1mdv2011.0
+ Revision: 584862
- more fixes
- should be better this way
- libraries policy
- few fixes for spec
- import smartcardpp


* Sat Oct 09 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-1mdv2010.1
- New version 0.2.0

* Mon Sep 07 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-9mdv2010.1
- First build on new BS
- Spec file cleaned up

* Wed Apr 14 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-8mdv2010.1
- New build from Google Code repository

* Tue Mar 09 2010 Sander Lepik <sander.lepik@eesti.ee> - 7mdv2010.1
- Changeset 2637: kui pinpadi kasutada, siis nüüd sertifikaatide uuendamisel küsitakse PINi ilusti pinpadilt

* Fri Feb 12 2010 Sander Lepik <sander.lepik@eesti.ee> - 6mdv2010.1
- new patch from Ahti Seier

* Fri Feb 12 2010 Sander Lepik <sander.lepik@eesti.ee> - 5mdv2010.1
- new patch

* Thu Jan 14 2010 Sander Lepik <sander.lepik@eesti.ee> - 4mdv2010.1
- Changeset 2404: reconnectWithT0 to public func

* Wed Dec 30 2009 Sander Lepik <sander.lepik@eesti.ee> - 3mdv2010.1
- SCError patch to fix Firefox crash

* Tue Dec 15 2009 Sander Lepik <sander.lepik@eesti.ee> - 2mdv2010.1
- Changeset 2305: added license text 'COPYING'

* Mon Dec 07 2009 Sander Lepik <sander.lepik@eesti.ee> - 1mdv2010.1
- Initial release for Mandriva

* Sun Dec 06 2009 Kalev Lember <kalev@smartlink.ee> - 0.1.0-0.2.svn2267
- Renamed to smartcardpp

* Sun Dec 06 2009 Kalev Lember <kalev@smartlink.ee> - 0.1.0-0.1.svn2267
- Initial RPM release.

